Cyberduck Mountain Duck CLI

#1060 closed enhancement (fixed)

Feature Request: Auto-reconnect

Reported by: mcwolf Owned by: dkocher
Priority: normal Milestone: 3.0
Component: core Version: 2.7.3
Severity: normal Keywords: auto-connect
Cc: Architecture:
Platform:

Description

Some busy FTPs can't log in without several tries. An common error message for this is:

220 Serv-U FTP Server v6.3 for WinSock ready...
USER foo
421 Too many users - please try again later.
USER foo

Cyberduck reports such things as an error with message:

I/O Error: Connection failed
Unexpected null reply received.

Can you add an auto-reconnect feature so that people didn't need to click button and input passwords for this?

Change History (5)

comment:1 Changed on Mar 9, 2007 at 8:37:09 PM by dkocher

  • Component changed from ftp to core
  • Priority changed from high to normal
  • Severity changed from major to normal

comment:2 Changed on Mar 27, 2007 at 9:38:09 AM by dkocher

  • Milestone set to 2.8
  • Status changed from new to assigned

comment:3 Changed on Apr 20, 2007 at 12:56:31 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed
Last edited on Feb 8, 2011 at 9:23:08 PM by daraz (previous) (diff)

comment:4 Changed on Mar 9, 2008 at 2:00:08 PM by webaster@…

  • Resolution fixed deleted
  • Status changed from closed to reopened

I still experienced a similar error due to too many connections. This error came too much and asked everytime for the password - the username is still filled in, the password is stored in keychain. It got nasty, so I aborted, then the transfer was marked as completed, but it wasn't. Now I uploaded again the last file, which was incomplete, but I could not resume. I needed to overwrite, because I had the option Overwrite or Rename. This is bad for long files.

comment:5 Changed on May 11, 2008 at 10:57:58 AM by dkocher

  • Milestone changed from 2.8 to 3.0
  • Resolution set to fixed
  • Status changed from reopened to closed

In r3952.

Note: See TracTickets for help on using tickets.
swiss made software